linux: 3.8.0-26.38 -proposed tracker

Bug #1191955 reported by Steve Conklin on 2013-06-17
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Sylvain Pineau
Prepare-package
Medium
Steve Conklin
Prepare-package-meta
Medium
Steve Conklin
Prepare-package-signed
Medium
Steve Conklin
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Ubuntu Stable Release Updates Team
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Raring
Medium
Unassigned

Bug Description

This bug is for tracking the 3.8.0-26.38 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 17. June 2013 20:45 UTC
kernel-stable-Prepare-package-end:Tuesday, 18. June 2013 05:09 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 18. June 2013 05:09 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 18. June 2013 07:01 UTC
kernel-stable-Verification-testing-start:Tuesday, 18. June 2013 08:01 UTC
kernel-stable-Verification-testing-end:Thursday, 27. June 2013 14:00 UTC
kernel-stable-Certification-testing-start:Thursday, 27. June 2013 14:00 UTC
kernel-stable-Security-signoff-start:Thursday, 27. June 2013 14:00 UTC
kernel-stable-Regression-testing-start:Thursday, 27. June 2013 14:00 UTC
kernel-stable-Security-signoff-end:Friday, 28. June 2013 03:00 UTC
kernel-stable-Regression-testing-end:Monday, 01. July 2013 04:00 UTC
kernel-stable-Promote-to-updates-start:Thursday, 04. July 2013 10:00 UTC
kernel-stable-Certification-testing-end:Thursday, 04. July 2013 10:00 UTC
kernel-stable-Promote-to-updates-end:Thursday, 04. July 2013 19:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 04. July 2013 20:01 UTC

Steve Conklin (sconklin) on 2013-06-17
tags: added: kernel-release-tracking-bug
tags: added: raring
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Raring):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lowlatency - bug 1192032
linux-ppc - bug 1192033

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-raring (precise) - bug 1192035

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Brad Figg (brad-figg) on 2013-06-18
description: updated
Brad Figg (brad-figg) on 2013-06-18
description: updated
Brad Figg (brad-figg) on 2013-06-27
description: updated
John Johansen (jjohansen) wrote :

No CVEs

Brad Figg (brad-figg) on 2013-06-28
description: updated
Paul Larson (pwlars) on 2013-07-01
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-07-01
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

The Hardware Certification team have completed testing this -proposed kernel. No regressions were observed . The report is available at: http://people.canonical.com/~hwcert/sru-testing/raring/3.8.0-26.38/raring-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-07-04
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (11.9 KiB)

This bug was fixed in the package linux - 3.8.0-26.38

---------------
linux (3.8.0-26.38) raring; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1191955

  [ Dave Chiluk ]

  * SAUCE: ncpfs: fix rmdir returns Device or resource busy
    - LP: #1035226

  [ Upstream Kernel Changes ]

  * ARM: S5PV210: Fix PL330 DMA controller clkdev entries
    - LP: #1187551
  * NFSv4: Handle NFS4ERR_DELAY and NFS4ERR_GRACE in
    nfs4_lock_delegation_recall
    - LP: #1187551
  * blkcg: fix "scheduling while atomic" in blk_queue_bypass_start
    - LP: #1187551
  * audit: Syscall rules are not applied to existing processes on non-x86
    - LP: #1187551
  * menuconfig: Fix memory leak introduced by jump keys feature
    - LP: #1187551
  * iommu/amd: Workaround for ERBT1312
    - LP: #1187551
  * drivers/rtc/rtc-at91rm9200.c: fix missing iounmap
    - LP: #1187551
  * drm/mm: fix dump table BUG
    - LP: #1187551
  * ASoC: wm8994: missing break in wm8994_aif3_hw_params()
    - LP: #1187551
  * tile: support new Tilera hypervisor
    - LP: #1187551
  * sd: fix array cache flushing bug causing performance problems
    - LP: #1187551
  * ath9k: fix key allocation error handling for powersave keys
    - LP: #1187551
  * target: Use FD_MAX_SECTORS/FD_BLOCKSIZE for blockdevs using fileio
    - LP: #1187551
  * ext4: limit group search loop for non-extent files
    - LP: #1187551
  * xen/vcpu/pvhvm: Fix vcpu hotplugging hanging.
    - LP: #1187551
  * ALSA: HDA: Fix Oops caused by dereference NULL pointer
    - LP: #1187551
  * iscsi-target: Fix processing of OOO commands
    - LP: #1187551
  * audit: vfs: fix audit_inode call in O_CREAT case of do_last
    - LP: #1187551
  * ACPICA: Fix possible buffer overflow during a field unit read operation
    - LP: #1187551
  * qmi_wwan, cdc-ether: add ADU960S
    - LP: #1187551
  * qmi_wwan/cdc_ether: add device IDs for Dell 5804 (Novatel E371) WWAN
    card
    - LP: #1187551
  * B43: Handle DMA RX descriptor underrun
    - LP: #1187551
  * mwifiex: clear is_suspended flag when interrupt is received early
    - LP: #1187551
  * mwifiex: fix memory leak issue when driver unload
    - LP: #1187551
  * mwifiex: fix setting of multicast filter
    - LP: #1187551
  * ARM: OMAP: RX-51: change probe order of touchscreen and panel SPI
    devices
    - LP: #1187551
  * hp_accel: Ignore the error from lis3lv02d_poweron() at resume
    - LP: #1187551
  * KVM: VMX: fix halt emulation while emulating invalid guest sate
    - LP: #1187551
  * nfsd: fix oops when legacy_recdir_name_error is passed a -ENOENT error
    - LP: #1187551
  * shm: fix null pointer deref when userspace specifies invalid hugepage
    size
    - LP: #1187551
  * dm stripe: fix regression in stripe_width calculation
    - LP: #1187551
  * dm snapshot: fix error return code in snapshot_ctr
    - LP: #1187551
  * mm: teach mm by current context info to not do I/O during memory
    allocation
    - LP: #1187551
  * dm bufio: avoid a possible __vmalloc deadlock
    - LP: #1187551
  * dm table: fix write same support
    - LP: #1187551
  * tick: Cleanup NOHZ per cpu data on cpu down
    - LP: #1187551
  * ACPI / EC: Restart transaction even when the...

Changed in linux (Ubuntu Raring):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Brad Figg (brad-figg) on 2013-07-04
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers